Skip to content
GET /unified/user-directory/workspaces/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

organization_id
2 supported1 required
Zoho BugTracker
required
Zoho Projects
supported
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

Unique identifier for the workspace.

31 supported
Adyen
supported
Aha
supported
Anthropic
supported
Avalara AvaTax
supported
Bitbucket
supported
Cisco Meraki
supported
Contentful Content Management
supported
dbt Labs
supported
Discord
supported
Freshservice
supported
Google CloudSQL
supported
GitLab
supported
Google Ads
supported
Google Cloud
supported
Hashicorp Terraform Cloud
supported
Illow
supported
MongoDB Atlas Admin
supported
Pivotal Tracker
supported
Podio
supported
Power BI
supported
Render
supported
Sigma Computing
supported
Teamwork Project Management
supported
Teamwork Spaces
supported
Vercel
supported
Webflow
supported
WordPress
supported
Workiva
supported
Zesty.io
supported
Zoho BugTracker
supported
Zoho Projects
supported
created_atstring · date-time

Date and time when the workspace was created.

23 supported
Aha
supported
Anthropic
supported
Avalara AvaTax
supported
Bitbucket
supported
Contentful Content Management
supported
dbt Labs
supported
Freshservice
supported
Google CloudSQL
supported
GitLab
supported
Google Cloud
supported
Hashicorp Terraform Cloud
supported
MongoDB Atlas Admin
supported
Pivotal Tracker
supported
Podio
supported
Sigma Computing
supported
Teamwork Project Management
supported
Teamwork Spaces
supported
Vercel
supported
Webflow
supported
Workiva
supported
Zesty.io
supported
Zoho BugTracker
supported
Zoho Projects
supported
descriptionstring

Description for the workspace.

13 supported
Aha
supported
Cisco Meraki
supported
Discord
supported
Freshservice
supported
GitLab
supported
Hashicorp Terraform Cloud
supported
Podio
supported
Teamwork Project Management
supported
Teamwork Spaces
supported
Vercel
supported
WordPress
supported
Zoho BugTracker
supported
Zoho Projects
supported
namestring

Name of the workspace.

31 supported
Adyen
supported
Aha
supported
Anthropic
supported
Avalara AvaTax
supported
Bitbucket
supported
Cisco Meraki
supported
Contentful Content Management
supported
dbt Labs
supported
Discord
supported
Freshservice
supported
Google CloudSQL
supported
GitLab
supported
Google Ads
supported
Google Cloud
supported
Hashicorp Terraform Cloud
supported
Illow
supported
MongoDB Atlas Admin
supported
Pivotal Tracker
supported
Podio
supported
Power BI
supported
Render
supported
Sigma Computing
supported
Teamwork Project Management
supported
Teamwork Spaces
supported
Vercel
supported
Webflow
supported
WordPress
supported
Workiva
supported
Zesty.io
supported
Zoho BugTracker
supported
Zoho Projects
supported
organizationobject

organization associated with the workspace

8 supported
Avalara AvaTax
supported
Cisco Meraki
supported
GitLab
supported
Hashicorp Terraform Cloud
supported
MongoDB Atlas Admin
supported
Podio
supported
Workiva
supported
Zesty.io
supported
idstring

The unique identifier for an organization

namestring

The name of the organization

remote_dataRecord<string, any>

Raw data returned from the remote API call.

statusstring

Status for the workspace

Possible values:
activeinactive
14 supported
Adyen
supported
Anthropic
supported
Avalara AvaTax
supported
dbt Labs
supported
Freshservice
supported
Google CloudSQL
supported
GitLab
supported
Google Ads
supported
Google Cloud
supported
Hashicorp Terraform Cloud
supported
Teamwork Project Management
supported
Teamwork Spaces
supported
Zoho BugTracker
supported
Zoho Projects
supported
updated_atstring · date-time

Date and time when the workspace was last updated.

20 supported
Aha
supported
Avalara AvaTax
supported
Bitbucket
supported
Contentful Content Management
supported
dbt Labs
supported
Freshservice
supported
Google CloudSQL
supported
GitLab
supported
Google Cloud
supported
Hashicorp Terraform Cloud
supported
Pivotal Tracker
supported
Sigma Computing
supported
Teamwork Project Management
supported
Teamwork Spaces
supported
Vercel
supported
Webflow
supported
Workiva
supported
Zesty.io
supported
Zoho BugTracker
supported
Zoho Projects
supported
curl -X GET 'https://api.truto.one/unified/user-directory/workspaces/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/user-directory/workspaces/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/user-directory/workspaces/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'user-directory',
  'workspaces',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "user-directory",
        "workspaces",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())